%define release_tag 0
%define release_stamp 202401.2.g13afaee
%def_with elcore50_toolchain

Name: elcorecl-extra
Version: %release_tag
Release: %release_stamp.elv.alt1

Summary: ElcoreCL extra tools
License: GPL-2.0
Group: Development/Other

BuildRequires(pre): rpm-macros-cmake
BuildRequires: cmake
BuildRequires: gcc-c++
BuildRequires: elcorecl-devel

%if_with elcore50_toolchain
BuildRequires: elcore50-toolchain-clang14

%define _elcore50_prefix %{?dsp_prefix}%{?!dsp_prefix:%_datadir/elcore50}
%define _ec_prefix %{?ec_prefix}%{?!ec_prefix:/opt/elcore50-toolchain-clang14}

%add_verify_elf_skiplist %{_elcore50_prefix}*
%add_findreq_skiplist %{_elcore50_prefix}*
%add_findprov_skiplist %{_elcore50_prefix}*
%endif

Source: %name-%release_stamp.tar.gz
Vendor: RnD Center "ELVEES", JSC

%description
ElcoreCL extra tools

%prep
%setup -n %name

%build
%cmake -DBUILD_FOR_MCOM03=ON \
%if_with elcore50_toolchain
    -DELCORE_CMAKE_TOOLCHAIN_FILE=%_ec_prefix/share/cmake/elcore50_toolchain.cmake
%else
    -DBUILD_KERNELS=OFF
%endif
%cmake_build

%install
%cmake_install

%files
%_bindir/*

%if_with elcore50_toolchain
%{_elcore50_prefix}*
%endif
